import Home from '../views/Home/Home.vue'
/* 档案信息 */
import firmInfo from '@/views/fileInfo/firmInfo.vue'
import pastureInfo from '@/views/fileInfo/pastureInfo.vue'
import areaInfo from '@/views/fileInfo/areaInfo.vue'
import workerInfo from '@/views/fileInfo/workerInfo.vue'

/* 繁殖管理 */
import seedSheepFile from '@/views/breed/seedSheepFile.vue'
import commoditySheepFile from '@/views/breed/commoditySheepFile.vue'
import collectSeedLog from '@/views/breed/collectSeedLog.vue'
import matingSuccLog from '@/views/breed/matingSuccLog.vue'
import matingLog from '@/views/breed/matingLog.vue'


export default [
	{
		path: '/home',
		component: Home,
		children: [
			/* 档案信息 */
			{
				path: 'firmInfo',
				name: 'firmInfo',
				component: firmInfo
			},
			{
				path: 'pastureInfo',
				name: 'pastureInfo',
				component: pastureInfo
			},
			{
				path: 'areaInfo',
				name: 'areaInfo',
				component: areaInfo
			},
			{
				path: 'workerInfo',
				name: 'workerInfo',
				component: workerInfo
			},
			/* 繁殖管理 */
			{
				path: 'seedSheepFile',
				name: 'seedSheepFile',
				component: seedSheepFile
			},
			{
				path: 'commoditySheepFile',
				name: 'commoditySheepFile',
				component: commoditySheepFile
			},
			{
				path: 'collectSeedLog',
				name: 'collectSeedLog',
				component: collectSeedLog
			},
			{
				path: 'matingSuccLog',
				name: 'matingSuccLog',
				component: matingSuccLog
			},
			{
				path: 'matingLog',
				name: 'matingLog',
				component: matingLog
			},
		]
	},
]
