
export const menuData = [
    {
        optionName: "档案信息",
        iconClassName: "el-icon-files",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '企业信息',
                routerName: "firmInfo"
            },
            {
                optionName: '牧场信息',
                routerName: "pastureInfo"
            },
            {
                optionName: '栋舍信息',
                routerName: "areaInfo"
            },
            {
                optionName: '员工信息',
                routerName: "workerInfo"
            }
        ]
    },
    {
        optionName: "繁殖管理",
        iconClassName: "el-icon-magic-stick",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '种羊档案',
                routerName: "seedSheepFile"
            },
            {
                optionName: '商品羊档案',
                routerName: "commoditySheepFile"
            },
            {
                optionName: '采精记录',
                routerName: "collectSeedLog"
            },
            {
                optionName: '查情记录',
                routerName: "matingSuccLog"
            },
            {
                optionName: '配种记录',
                routerName: "matingLog"
            },
        ]
    },
    
]

// export default {menuData}




/* 菜单配置 描述 */
const menuData描述 = [
    // 有子菜单 并且字菜单分组的
    {
        oneMenuName: "导航一", // 一级菜单名
        iconClassName: "aaa", // element-ui图标名
        childList: [ // 分组的
            {
                groupName: '组名一',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            },
            {
                groupName: '组名二',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            }
        ],
    },
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "导航二",
        iconClassName: "el-icon-menu",
        disabled: false, // 是否禁用
        childList: [ // 不分组的
            {
                optionName: '选项1',
                routerName: "home"
            },
            {}
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "导航三",
        iconClassName: "el-icon-document",
        routerName: "home",
        disabled: false
    },

    "导航四"
]


